Freeciv-3.3: functions Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
functions Struct Reference

`#include <fc_interface.h>`

## Data Fields

server_setting_id(* | server_setting_by_name )(const char *name)
const char *(* | server_setting_name_get )(server_setting_id id)
enum sset_type(* | server_setting_type_get )(server_setting_id id)
bool(* | server_setting_val_bool_get )(server_setting_id id)
int(* | server_setting_val_int_get )(server_setting_id id)
unsigned int(* | server_setting_val_bitwise_get )(server_setting_id id)
void(* | create_extra )(struct tile *ptile, struct extra_type *pextra, struct player *pplayer)
void(* | destroy_extra )(struct tile *ptile, struct extra_type *pextra)
void(* | destroy_city )(struct city *pcity)
bool(* | player_tile_vision_get )(const struct tile *ptile, const struct player *pplayer, enum vision_layer vision)
int(* | player_tile_city_id_get )(const struct tile *ptile, const struct player *pplayer)
void(* | gui_color_free )(struct color *pcolor)

## Detailed Description

Definition at line 33 of file fc_interface.h.

## Field Documentation

## ◆ create_extra

void(* functions::create_extra) (struct tile *ptile, struct extra_type *pextra, struct player *pplayer)

Definition at line 40 of file fc_interface.h.

Referenced by tile_create_extra().

## ◆ destroy_city

void(* functions::destroy_city) (struct city *pcity)

Definition at line 43 of file fc_interface.h.

Referenced by player_clear().

## ◆ destroy_extra

void(* functions::destroy_extra) (struct tile *ptile, struct extra_type *pextra)

Definition at line 42 of file fc_interface.h.

Referenced by tile_destroy_extra().

## ◆ gui_color_free

void(* functions::gui_color_free) (struct color *pcolor)

Definition at line 54 of file fc_interface.h.

Referenced by libfreeciv_init(), and rgbcolor_destroy().

## ◆ player_tile_city_id_get

int(* functions::player_tile_city_id_get) (const struct tile *ptile, const struct player *pplayer)

Definition at line 52 of file fc_interface.h.

Referenced by is_action_possible(), and libfreeciv_init().

## ◆ player_tile_vision_get

bool(* functions::player_tile_vision_get) (const struct tile *ptile, const struct player *pplayer, enum vision_layer vision)

Definition at line 46 of file fc_interface.h.

Referenced by actres_possible(), can_player_see_unit_at(), libfreeciv_init(), objbind_get_value_from_object(), player_can_trust_tile_has_no_units(), and tile_get_known().

## ◆ server_setting_by_name

server_setting_id(* functions::server_setting_by_name) (const char *name)

Definition at line 34 of file fc_interface.h.

Referenced by libfreeciv_init(), and server_setting_by_name().

## ◆ server_setting_name_get

const char *(* functions::server_setting_name_get) (server_setting_id id)

Definition at line 35 of file fc_interface.h.

Referenced by libfreeciv_init(), and server_setting_name_get().

## ◆ server_setting_type_get

enum sset_type(* functions::server_setting_type_get) (server_setting_id id)

Definition at line 35 of file fc_interface.h.

Referenced by libfreeciv_init(), and server_setting_type_get().

## ◆ server_setting_val_bitwise_get

unsigned int(* functions::server_setting_val_bitwise_get) (server_setting_id id)

Definition at line 39 of file fc_interface.h.

Referenced by libfreeciv_init(), and server_setting_value_bitwise_get().

## ◆ server_setting_val_bool_get

bool(* functions::server_setting_val_bool_get) (server_setting_id id)

Definition at line 37 of file fc_interface.h.

Referenced by libfreeciv_init(), and server_setting_value_bool_get().

## ◆ server_setting_val_int_get

int(* functions::server_setting_val_int_get) (server_setting_id id)

Definition at line 38 of file fc_interface.h.

Referenced by libfreeciv_init(), and server_setting_value_int_get().